This makes the console logs of any HVM or debian-installer created
easier to parse by omitting the escape characters.
Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Ian Jackson <ian.jackson@eu.citrix.com>
END
}
+ preseed_hook_command($ho, 'late_command', $sfx, <<END);
+#!/bin/sh
+set -ex
+
+echo FANCYTTY=0 >> /target/etc/lsb-base-logging.sh
+END
+
+
preseed_ssh($ho, $sfx);
preseed_hook_command($ho, 'late_command', '', <<'END');
set +e
ls -l /dev/sd*
true
-END
-
- preseed_hook_command($ho, 'late_command', $sfx, <<END);
-#!/bin/sh
-set -ex
-
-echo FANCYTTY=0 >> /target/etc/lsb-base-logging.sh
END
my $dtbs = "$d_i/dtbs.tar.gz";